target-1

来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 32 行

TXT
32
字号
#!/bin/sh# Before coreutils-4.5.3, --target-dir didn't work with one file.# It would create the desired link, but would fail with a diagnosis like this:# ln: `d/.': cannot overwrite directory# Based on a test case from Dmitry V. Levin.if test "$VERBOSE" = yes; then  set -x  ln --versionfipwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0trap '(exit $?); exit $?' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmp || framework_failure=1mkdir d || framework_failure=1if test $framework_failure = 1; then  echo "$0: failure in testing framework" 1>&2  (exit 1); exit 1fifail=0ln -s --target-dir=d ../f || fail=1(exit $fail); exit $fail

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?